#include <iostream>
#include <cmath>
#include <iomanip>
using namespace std;

int main()
{
    int n;
    cin>>n;
    double a[n],p[n];
    for(int i=0;i<n;i++)
    {
        double A, P;
        cin>>A>>P;
        a[i]=A;
        p[i]=P;
    }

    double tempZarada [n]={0};
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<n;j++)
        {
            double tempPorez=p[i];
            if(tempPorez<=p[j])
                tempZarada[i]+=(double)tempPorez/100*a[j];

        }
    }
    double maxZarada=0;
    for(int i=0;i<n;i++)
    {
        if(tempZarada[i]>maxZarada)
            maxZarada=tempZarada[i];
    }
    cout << fixed << setprecision(4) << maxZarada ;

    return 0;
}